{% load static %}
{% load crispy_forms_tags %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <!-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script> -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js"></script>
    
    <link rel="stylesheet" href="{% static 'buyer/css/style.css' %}">
</head>

<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light shadow-sm">
        <a class="navbar-brand" href="{% url 'homepage' %}">
            <img src="static/images/photobooth-logo.png" alt="">
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse justify-content-end" id="navbarSupportedContent">
            <!-- <ul class="navbar-nav ">
                {% if not user.is_authenticated %}
                <li class="nav-item">
                    <a class="nav-link" href="#" data-toggle="modal" data-target="#login-modal">Login</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#" data-toggle="modal" data-target="#register-modal">Register</a>
                </li>
                {% else %}
                <li class="nav-item">
                <form method="post" action="{% url 'view_orders' %}">
                    {% csrf_token %}
                    <input type="submit" value="View Orders">
                </form>
                </li>
                <li class="nav-item">
                    <form method="post" action="{% url 'cart' %}">
                        {% csrf_token %}
                        <input class="nav-link" type="submit" value="View Cart">
                    </form>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#" data-toggle="modal">Logout</a>
                </li>
                {% endif %}
            </ul> -->
            <ul class="navbar-nav ">
                {% if user.is_authenticated %}
                    <li class="nav-item">
                        <a href="#"><i class="fa fa-cart-plus" style="font-size:36px;color:red">no. of cart items</i></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'profile' %}">{{user.username}}</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'logout' %}">Logout</a>
                    </li>
                {% else %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'login' %}">Login</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'register' %}">Register</a>
                    </li>
                {% endif %}
                </ul>
            </div>
        </div>
    </nav>

    <div class="row">
        <div class="text-center">
            {% if messages %}
                {% for message in massages %}
                <div class="alert alert-{{ message.tags }}">
                    {{ message }}
                </div>
                {% endfor %}
            {% endif %}
        </div>

    </div>

    <main>
        <div class="row">
            <div class="col-md-9">
                <!-- Search -->
                <section id="search" class="container">
                    <form>
                        <input class="form-control" type="search" placeholder="Search" aria-label="Search">
                    </form>
                </section>

                <!-- Banner container -->
                <section id="banner" class="">
                    <div id="demo" class="carousel slide" data-ride="carousel">
                        <ul class="carousel-indicators">
                            <li data-target="#demo" data-slide-to="0" class="active"></li>
                            <li data-target="#demo" data-slide-to="1"></li>
                            <li data-target="#demo" data-slide-to="2"></li>
                            <li data-target="#demo" data-slide-to="3"></li>
                            <li data-target="#demo" data-slide-to="4"></li>
                            <li data-target="#demo" data-slide-to="5"></li>
                            <li data-target="#demo" data-slide-to="6"></li>
                        </ul>
                        <div class="carousel-inner">
                            <div class="carousel-item active">
                                <img src="static/images/bridal-bouquet-3960220_1920.jpg" alt="Los Angeles">

                            </div>
                            <div class="carousel-item">
                                <img src="static/images/family-friends.jpg" alt="New York">
                            </div>
                            <div class="carousel-item">
                                <img src="static/images/ibrahim3.jpeg" alt="Chicago">

                            </div>
                            <div class="carousel-item">
                                <img src="static/images/wedding-fun.jpg" alt="New York">

                            </div>
                            <div class="carousel-item">
                                <img src="static/images/private_events.jpg" alt="New York">

                            </div>
                            <div class="carousel-item">
                                <img src="static/images/hamburg-3846525_1920.jpg" alt="New York">

                            </div>
                            <div class="carousel-item">
                                <img src="static/images/privateparty-2.jpg" alt="New York">

                            </div>
                        </div>
                        <a class="carousel-control-prev" href="#demo" data-slide="prev">
                            <span class="carousel-control-prev-icon"></span>
                        </a>
                        <a class="carousel-control-next" href="#demo" data-slide="next">
                            <span class="carousel-control-next-icon"></span>
                        </a>
                    </div>

                    <button class="btn">
                        Hire A Photographer<span class="badge badge-primary"></span>
                    </button>
                </section>

                <!-- Product -->
                <section id="products">
                    <!-- Sort dropdown -->
                    <div class="row" id="sort">
                        <div class="col-3 offset-9">
                            <select name="sort" id="" class="form-control">
                                <option value="0">Sort by</option>
                                <option value="price">Price</option>
                                <option value="recent">Recently added</option>
                            </select>
                        </div>
                    </div>

                    <div class="row">
                        {% for link in images_url %}
                            <div class="col-md-4">
                                <div class="card product">
                                    <div class="link-image">
                                        <a href="#"><img src="{{ link.thumbnail_path }}" class="card-img-top" alt="..." height="250px"></a>
                                    </div>
                                    <!-- <i class="fa fa-check-circle"></i> -->
                                    <div class="action-buttons">
                                        <a href=""><button class="btn btn-primary add-to-cart-btn">
                                            View
                                        </button></a>
                                        <form method="get" action="{% url 'add' photo_id=link.id %}" id="add-to-cart">
                                            {% csrf_token %}
                                            <input type="submit" value="Add to cart" class="btn btn-primary add-to-cart-btn">
                                        </form>
                                        <a href=""></a><button class="btn btn-primary favuorite-btn">
                                            Add to favourite
                                        </button></a>
                                    </div>

                                    <div class="card-body">
                                        <div>
                                            <h4 class="card-title">{{ link.title }}</h4>
                                            <h5 class="card-text image-price">Rs. {{ link.price }}</h5>
                                        </div>
                                        <a href="#!">
                                            <i class="fa fa-heart-o"></i>
                                        </a>
                                        <i>1</i>
                                    </div>
                                </div>

                            </div>
                        {% endfor %}
                    </div>
                    <a href="" class="more">More...</a>
                </section>
            </div>
            <div class="col-md-3">
                <ul class="nav flex-column sidenav">
                    <li class="nav-item">
                        <a href="">
                            <h4 class="nav-link text-center title">PHOTOGRAPHERS</h4>
                        </a>
                        <hr>
                    </li>
                    {% for photographer in photographers %}
                    <li class="nav-item">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <img src="static/images/photographers/avatar.png" class="avatar" alt="">
                                    <a href="">
                                        <h5 class="ml-3 mr-3">{{ photographer.user }}</h5>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </li>
                    {% endfor %}
                </ul>
            </div>
        </div>
    </main>

    <footer>
        <div class="row">
            <div class="col-md-6">
                <h3 class>Lets be Connected!</h3>
                <a href="">
                    <h5>About Us</h5>
                </a>
                <a href="">
                    <h5>Contact Us</h5>
                </a>
            </div>
            <div class="col-md-6">
                <h5>Around the web</h5>
                <a href="https://www.facebook.com/soumyasaswata.rana" target="_blank"><i class="fa fa-facebook-square"
                        style="font-size:25px;"></i></a>
                <a href="https://www.linkedin.com/in/soumya-saswata-rana-7637a843/" target="_blank"><i class="fa fa-linkedin-square"
                        style="font-size:25px;"></i></a>
                <a href="https://www.youtube.com/channel/UCTZZad-aZD-Hu5c1h7D9Q4Q?view_as=subscriber" target="_blank"><i
                        class="fa fa-youtube-square" style="font-size:25px;"></i></a>

            </div>
        </div>
    </footer>



    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js"></script>
</body>

</html>